/* GMM (C) 2018 Stephane Charette <stephanecharette@gmail.com>
 * $Id: GMMWnd.hpp 2603 2018-09-17 08:30:49Z stephane $
 */

#pragma once

#include "GMMTypes.hpp"


/// Identical to a normal tabbed component, but changes the background colour of the active tab.
class Notebook : public TabbedComponent
{
	public:

		Notebook(void);

		virtual ~Notebook(void);

		/// Inherited from TabbedComponent to modify the active/inactive tab background colours.
		virtual void currentTabChanged(int newCurrentTabIndex, const String & newCurrentTabName);

		virtual void tell_threads_to_shutdown(void);
};
